/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Estacion;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Administrador
 */
public class RenderEstacion implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Estacion estacion = (Estacion) o;

		Listcell lc = new Listcell();

		lc = new Listcell(estacion.getEstacionId().toString());
		lc.setParent(lstm);

		lc = new Listcell(estacion.getDescestacion());
		lc.setParent(lstm);

		// Convertendo a mascara em Hexa novamente.
		if (estacion.getDescmac() != null && !estacion.getDescmac().equals("")) {
			Long hx = Long.parseLong(estacion.getDescmac(), 10);
			String descMac = Long.toHexString(hx);

			while (descMac.length() < 12) {
				descMac = "0" + descMac;
			}
			// AABBCCDDEEFF
			// AA-BB-CC-DD-EE-FF
			descMac = descMac.substring(0, 2).concat("-").concat(descMac.substring(2, 4).concat("-")).concat(descMac.substring(4, 6)).concat("-").concat(descMac.substring(6, 8)).concat("-").concat(descMac.substring(8, 10).concat("-")).concat(descMac.substring(10, 12));

			lc = new Listcell(descMac.toUpperCase());
			lc.setParent(lstm);
		} else {
			lc = new Listcell("");
			lc.setParent(lstm);
		}

		Long numCaja = estacion.getNumcaja();
		if (numCaja != null) {
			lc = new Listcell(numCaja.toString());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lc = new Listcell(estacion.getNomeImpressora());
		lc.setParent(lstm);

		PuntoVenta pv = estacion.getPuntoVenta();
		if (pv != null) {
			lc = new Listcell(pv.getNombpuntoventa());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lstm.setAttribute("data", estacion);
	}
}
